Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery Class Reference

Class InsertDoctrineQuery. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery:

## Public Member Functions
| insertInto ($table)
| Opens the query and sets the target table to $table. More...
| set ($column, $expression)
| The insert query will set the column $column to the value $expression. More...
| getQuery ()
Public Member Functions inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| __construct (Connection $connection)
| subSelect ()
| Create a subselect used with the current query. More...
| prepare ()
| bindValue ($value, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the value $value to the specified variable name $placeHolder. More...
| bindParam (&$param, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the parameter $param to the specified variable name $placeHolder. More...
| __toString ()
| Return the SQL string for this query. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Database\Query
| subSelect ()
| Create a subselect used with the current query. More...
| prepare ()
| bindValue ($value, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the value $value to the specified variable name $placeHolder. More...
| bindParam (&$param, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the parameter $param to the specified variable name $placeHolder. More...
| __toString ()
| Return the SQL string for this query. More...

## Private Attributes
| $table
| $values = []

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| $expr
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| parseArguments (array $args)
| Parse the arguments and validate for existance of values. More...
Protected Attributes inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| $connection

## Detailed Description

Class InsertDoctrineQuery.

Deprecated:
  Since 6.13, please use Doctrine DBAL instead (@ezpublish.persistence.connection) it provides richer and more powerful DB abstraction which is also easier to use.

Definition at line 18 of file InsertDoctrineQuery.php.

## Member Function Documentation

## ◆ getQuery()

eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery::getQuery | ( |  | ) |

Returns
  string

Implements eZ\Publish\Core\Persistence\Database\Query.

Definition at line 62 of file InsertDoctrineQuery.php.

## ◆ insertInto()

eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery::insertInto | ( |  | $table | ) |

Opens the query and sets the target table to $table.

insertInto() returns a pointer to $this.

Parameters

  string | $table |

Returns
  \eZ\Publish\Core\Persistence\Database\InsertQuery

Implements eZ\Publish\Core\Persistence\Database\InsertQuery.

Definition at line 35 of file InsertDoctrineQuery.php.

References eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery\$table.

## ◆ set()

eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery::set | ( |  | $column,
|  |  | $expression
| ) |  |

The insert query will set the column $column to the value $expression.

set() returns a pointer to $this.

Parameters

  string | $column |
  string | $expression |

Returns
  \eZ\Publish\Core\Persistence\Database\InsertQuery

Implements eZ\Publish\Core\Persistence\Database\InsertQuery.

Definition at line 52 of file InsertDoctrineQuery.php.

## Member Data Documentation

## ◆ $table

eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery::$table
| private

Definition at line 21 of file InsertDoctrineQuery.php.

Referenced by eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery\insertInto().

## ◆ $values

eZ\Publish\Core\Persistence\Doctrine\InsertDoctrineQuery::$values = []
| private

Definition at line 24 of file InsertDoctrineQuery.php.

The documentation for this class was generated from the following file:

- InsertDoctrineQuery.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.